%define upstream_name    asa
%define upstream_version 1.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Lets your class/object say it works like something else
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(File::Spec) >= 0.800.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl(base)
BuildArch:  noarch

Provides:   perl(asa)

%description
Perl 5 doesn't natively support Java-style interfaces, and it doesn't
support Perl 6 style roles either.

You can get both of these things in half a dozen different ways via various
CPAN modules, but they usually require that you buy into "their way" of
implementing your code.

Other have turned to "duck typing".

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{make}

%check
%{make} test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes LICENSE META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.30.0-3.mga3
+ Revision: 375340
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 11 2011 spuhler <spuhler> 1.30.0-2.mga2
+ Revision: 104057
- increase rel for rebuild

* Thu Mar 10 2011 jquelin <jquelin> 1.30.0-1.mga1
+ Revision: 67423
- update to 1.03

* Wed Jan 26 2011 jquelin <jquelin> 0.20.0-2.mga1
+ Revision: 41226
- rebuild
- mageia rebuild

* Sun Jan 09 2011 jquelin <jquelin> 0.20.0-1.mga1
+ Revision: 1783
- imported package perl-asa

